%global mod_name antisamy-markup-formatter-plugin
%global short_name antisamy-markup-formatter
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-antisamy-markup-formatter-plugin
Version:        1.3
Release:        2%{?dist}
Summary:        OWASP Markup Formatter Plugin for Jenkins

# License is specified in pom.xml
# Jenkins upstream usually don't include license text in git repository
# BSD: src/main/java/hudson/markup/EbayPolicy.java
# rest is MIT
License:        MIT and BSD
URL:            https://github.com/jenkinsci/antisamy-markup-formatter-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE-MIT.txt
# Text copied from src/main/java/hudson/markup/EbayPolicy.java
Source2:        LICENSE-BSD.txt
Patch0:         update-owasp-html-sanitizer.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(com.googlecode.owasp-java-html-sanitizer:owasp-java-html-sanitizer)

BuildArch:      noarch

%description
This package provides Jenkins plugin which uses policy definitions to allow
limited HTML markup in user-submitted text.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for 
%{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%patch0 -p1

cp %{SOURCE1} .
cp %{SOURCE2} .
%mvn_file ::hpi:: %{name}/%{short_name}

%build
# tests are disabled, because "package org.jvnet.hudson.test does not exist"
# we don't have these Jenkins test artifacts in Fedora
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%{plugin_home}
%doc LICENSE-MIT.txt LICENSE-BSD.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE-MIT.txt LICENSE-BSD.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 30 2015 Michal Srb <msrb@redhat.com> - 1.3-1
- Update to upstream release 1.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Oct 15 2014 Michal Srb <msrb@redhat.com> - 1.2-1
- Initial packaging

